Bug 1554905 - Creating a replica 2 volume throws split brain possibility warning - which has a link to upstream Docs.
Summary: Creating a replica 2 volume throws split brain possibility warning - which ha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: RHGS 3.4.0
Assignee: Ravishankar N
QA Contact: Vijay Avuthu
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-03-13 14:33 UTC by Ambarish
Modified: 2018-09-20 05:07 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:44:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:42 UTC

Description Ambarish 2018-03-13 14:33:44 UTC
Description of problem:
-----------------------

While creating a Replica 2 volume , there's a CLI warning that *2 deploym,nets are susceptible to split brains :

[root@gqas013 /]# gluster v create double replica 2 gqas013:/bricks/G gqas016:/bricks/Aa 
Replica 2 volumes are prone to split-brain. Use Arbiter or Replica 3 to avoid this. See: http://docs.gluster.org/en/latest/Administrator%20Guide/Split%20brain%20and%20ways%20to%20deal%20with%20it/.
Do you still want to continue?
 (y/n) y
volume create: double: success: please start the volume to access data


Can we add "https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#chap-Manually_Resolving_Split-brains" instead ? 

Version-Release number of selected component (if applicable):
-------------------------------------------------------------

glusterfs-3.12.2-5.el7rhgs.x86_64

How reproducible:
-----------------

100%

Comment 2 Ravishankar N 2018-03-15 04:12:39 UTC
The upstream doc points to how to avoid split-brains (by using rep 3 or arbiter) while the downstream doc points to how to resolve split-brains once we end up in one. I think we can either:

a) either display only the warning and remove the documentation link in the vol create command.

or

(b) Disallow creation of replica 2 volumes from the CLI altogether since we are not supporting (?) replica 2 from rhgs-3.4.0.

Atin/ Ambarish, what do you think?

Comment 4 Ravishankar N 2018-03-15 07:29:33 UTC
https://code.engineering.redhat.com/gerrit/#/c/132744/ can be taken in once acks are in place.

Comment 8 Vijay Avuthu 2018-04-12 07:42:19 UTC
Update:
=========

Verified with below build : glusterfs-server-3.12.2-7.el7rhgs.x86_64

[root@dhcp35-61 ~]# gluster volume create 12 replica 2 10.70.35.61:/bricks/brick1/b0 10.70.35.174:/bricks/brick1/b1
Replica 2 volumes are prone to split-brain. Use Arbiter or Replica 3 to avoid this.
Do you still want to continue?
 (y/n) y
volume create: 12: success: please start the volume to access data
[root@dhcp35-61 ~]#

Comment 10 errata-xmlrpc 2018-09-04 06:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.